### Function

# EDataServer util_strv_equal

since: 3.12

#### Declaration [src]

    gboolean
    e_util_strv_equal (
      gconstpointer v1,
      gconstpointer v2
    )

#### Description [src]

Compares `v1` and `v2` for equality, handling `NULL` gracefully.

The arguments types are generic for compatibility with `GEqualFunc`.

Available since: 3.12

#### Parameters

`v1`

  Type: An array of `utf8`

  A `NULL`-terminated string array, or `NULL`.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`v2`

  Type: An array of `utf8`

  Another `NULL`-terminated string array, or `NULL`.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether `v1` and `v2` are identical.